0

500 Internal Server Error with ACME Buypass

Using the free Go SSL ACME service you provide, as usual for my services, I'm facing an issue with one domain.

What I did on this server :

  • I cleaned the certbot software, like a full removal and reinstallation.
  • I tried to renew/make a certificate for an other domain on this server : it worked perfectly.

I tried multiples times to get this certificate, still 500 error from api buypass. I'm running out of options to see what happens from my side about this domain. I'm used to practice certificates management, and I can't see what's wrong with this domain so far.

The log of the issue from certbot :

2022-02-24 19:26:59,664:DEBUG:urllib3.connectionpool:https://api.buypass.com:443 "POST /acme-v02/authz/READCTED-xxx/1 HTTP/1.1" 500 89
2022-02-24 19:26:59,665:DEBUG:acme.client:Received response:
HTTP 500
Content-Length: 89
Content-Type: application/json
Date: Thu, 24 Feb 2022 19:26:58 GMT
Mdc-Correlationid: 092bbff8-eb8a-48a0-8dbb-26b05749199f
Vary: Accept-Encoding
X-Buypass-Internal-Error-Detail-Code: INTERNAL_SERVER_ERROR
Strict-Transport-Security: max-age=63072000

{"code":500,"message":"INTERNAL_SERVER_ERROR","details":"HTTP 500 Internal Server Error"}

Times are UTC.
The domain is : api . dappsprotect .com

I will put at your disposal the full certbot log, in case I can send to you in a private manner.

15replies Oldest first
  • Oldest first
  • Newest first
  • Active threads
  • Popular
  • HI,

    I got a very similar problem on two different server with different domains since about 1-2 months ago. Which is constant in all error messages is: "500 internal server error". :/

    For example (tried acme.sh with new account):

    [Sat 26 Mar 11:45:18 CET 2022] _post_url='https://api.buypass.com/acme-v02/new-acct'
    [Sat 26 Mar 11:45:18 CET 2022] _WGET='wget -q --content-on-error '
    [Sat 26 Mar 11:45:21 CET 2022] wget returns 8, the server returns a 'Bad request' response, lets process the response later.
    [Sat 26 Mar 11:45:21 CET 2022] Using sed  -i
    [Sat 26 Mar 11:45:21 CET 2022] _ret='0'
    [Sat 26 Mar 11:45:21 CET 2022] code='500'
    [Sat 26 Mar 11:45:22 CET 2022] Register account Error: {"code":500,"message":"INTERNAL_SERVER_ERROR","details":"HTTP 500 Internal Server Error"}

    Older (legacy) certbot:
     

    2022-03-26 11:08:43,732:DEBUG:urllib3.connectionpool:https://api.buypass.com:443 "POST /acme-v02/new-order HTTP/1.1" 500 89
    2022-03-26 11:08:43,735:DEBUG:acme.client:Received response:
    HTTP 500
    Content-Length: 89
    Content-Type: application/json
    Date: Sat, 26 Mar 2022 08:53:50 GMT
    Mdc-Correlationid: d0f4e291-cdf5-408a-879f-260ed0f14254
    Vary: Accept-Encoding
    X-Buypass-Internal-Error-Detail-Code: INTERNAL_SERVER_ERROR
    Strict-Transport-Security: max-age=63072000
    {"code":500,"message":"INTERNAL_SERVER_ERROR","details":"HTTP 500 Internal Server Error"}
    2022-03-26 11:08:43,735:DEBUG:acme.client:Ignoring wrong Content-Type ('application/json') for JSON Error

    Sadly not found answers, just similar questions :/
    One on my VPS I changed the CA (ACME) server from the BuyPass to a different one and it worked with it. And I got the same problem on my other machine with BuyPass ACME..

    Like
  • Different server, different domain, up to date certbot, certificate renew process (autorenew), with very similar error(s):

    2022-03-13 05:03:37,287:DEBUG:urllib3.connectionpool:https://api.buypass.com:443 "POST /acme-v02/authz/[REMOVED]/1 HTTP/1.1" 500 89
    2022-03-13 05:03:37,287:DEBUG:acme.client:Received response:
    HTTP 500
    Content-Length: 89
    Content-Type: application/json
    Date: Sun, 13 Mar 2022 04:03:35 GMT
    Mdc-Correlationid: f3553b6c-6ca7-41bf-87d7-86dc73bc0dc3
    Vary: Accept-Encoding
    X-Buypass-Internal-Error-Detail-Code: INTERNAL_SERVER_ERROR
    Strict-Transport-Security: max-age=63072000
    {"code":500,"message":"INTERNAL_SERVER_ERROR","details":"HTTP 500 Internal Server Error"}

    I was able to solve this (You can see, it's an older log sample) only one way: replaced the ACME server with a different CA's ACME server, and the certbot worked fine with it (so maybe I'm wrong, but I think the problem is not with my certbot, application).

    Like
  • Hi.

    Sorry for the late reply. This first issue is fixed, but at the moment we have issues with the service itself. Working on it now. Will be back with information when fixed.

    Like 1
  • Hi.

    Problem with service is fixed. Please try again. 

    Like 1
    • Mats On our end we still see this issue. Happens on renewals as well as new account registrations

       

      [Tue Mar 29 04:33:44 UTC 2022] responseHeaders='HTTP/1.1 500 Internal Server Error
      Content-Length: 89
      Content-Type: application/json
      Date: Tue, 29 Mar 2022 04:33:43 GMT
      Mdc-Correlationid: 5069e7a1-03f1-4f3a-a65b-272af76d143f
      Vary: Accept-Encoding
      X-Buypass-Internal-Error-Detail-Code: INTERNAL_SERVER_ERROR
      Strict-Transport-Security: max-age=63072000
      '
      [Tue Mar 29 04:33:44 UTC 2022] code='500'
      [Tue Mar 29 04:33:44 UTC 2022] original='{"code":500,"message":"INTERNAL_SERVER_ERROR","details":"HTTP 500 Internal Server Error"}'
      [Tue Mar 29 04:33:44 UTC 2022] _json_decode
      [Tue Mar 29 04:33:44 UTC 2022] _j_str='{"code":500,"message":"INTERNAL_SERVER_ERROR","details":"HTTP 500 Internal Server Error"}'
      [Tue Mar 29 04:33:44 UTC 2022] response='{"code":500,"message":"INTERNAL_SERVER_ERROR","details":"HTTP 500 Internal Server Error"}'
      [Tue Mar 29 04:33:44 UTC 2022] Register account Error: {"code":500,"message":"INTERNAL_SERVER_ERROR","details":"HTTP 500 Internal Server Error"}
      [Tue Mar 29 04:33:44 UTC 2022] _on_issue_err
      
      Like
  • Still some instability last night, continuing to work on it. Should be back to stable operations now.

    Like
  • Yeah, no.

    The 500 was fixed, but now everyone just gets this instead:
     

    2022-03-31 02:17:55,395:DEBUG:certbot.renewal:Traceback was:
    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/acme/client.py", line 156, in answer_challenge
        response = self._post(challb.uri, response)
      File "/usr/lib/python3/dist-packages/acme/client.py", line 96, in _post
        return self.net.post(*args, **kwargs)
      File "/usr/lib/python3/dist-packages/acme/client.py", line 1204, in post
        return self._post_once(*args, **kwargs)
      File "/usr/lib/python3/dist-packages/acme/client.py", line 1218, in _post_once
        response = self._check_response(response, content_type=content_type)
      File "/usr/lib/python3/dist-packages/acme/client.py", line 1073, in _check_response
        raise messages.Error.from_json(jobj)
    acme.messages.Error: urn:ietf:params:acme:error:malformed :: The request message was malformed :: Unable to process challenge, authorization is not pending
    During handling of the above exception, another exception occurred:
    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/certbot/renewal.py", line 443, in handle_renewal_request
        main.renew_cert(lineage_config, plugins, renewal_candidate)
      File "/usr/lib/python3/dist-packages/certbot/main.py", line 1197, in renew_cert
        renewed_lineage = _get_and_save_cert(le_client, config, lineage=lineage)
      File "/usr/lib/python3/dist-packages/certbot/main.py", line 115, in _get_and_save_cert
        renewal.renew_cert(config, domains, le_client, lineage)
      File "/usr/lib/python3/dist-packages/certbot/renewal.py", line 318, in renew_cert
        new_cert, new_chain, new_key, _ = le_client.obtain_certificate(domains, new_key)
      File "/usr/lib/python3/dist-packages/certbot/client.py", line 334, in obtain_certificate
        orderr = self._get_order_and_authorizations(csr.data, self.config.allow_subset_of_names)
      File "/usr/lib/python3/dist-packages/certbot/client.py", line 370, in _get_order_and_authorizations
        authzr = self.auth_handler.handle_authorizations(orderr, best_effort)
      File "/usr/lib/python3/dist-packages/certbot/auth_handler.py", line 82, in handle_authorizations
        self._respond(aauthzrs, resp, best_effort)
      File "/usr/lib/python3/dist-packages/certbot/auth_handler.py", line 152, in _respond
        self._send_responses(aauthzrs, resp, chall_update)
      File "/usr/lib/python3/dist-packages/certbot/auth_handler.py", line 185, in _send_responses
        self.acme.answer_challenge(achall.challb, resp)
      File "/usr/lib/python3/dist-packages/acme/client.py", line 164, in answer_challenge
        response = self._post(challb.uri, response)
      File "/usr/lib/python3/dist-packages/acme/client.py", line 96, in _post
        return self.net.post(*args, **kwargs)
      File "/usr/lib/python3/dist-packages/acme/client.py", line 1204, in post
        return self._post_once(*args, **kwargs)
      File "/usr/lib/python3/dist-packages/acme/client.py", line 1218, in _post_once
        response = self._check_response(response, content_type=content_type)
      File "/usr/lib/python3/dist-packages/acme/client.py", line 1073, in _check_response
        raise messages.Error.from_json(jobj)
    acme.messages.Error: urn:ietf:params:acme:error:malformed :: The request message was malformed :: Unable to process challenge, authorization is not pending

    I realize this is a free ACME end-point, and I should be keeping my expectations low, I'm not mad, just... disappointed. 

    And it's not an issue restricted to a few hosts, but pretty much ALL the hosts I have ever used BuyPass on exhibit the same issue. This is across multiple data-centers, multiple IP ranges etc.

    Also, in case you're wondering why your community participation is low, it's because:

    • you don't allow free e-mail domains, because apparently Captcha is hard, so I had to use a work e-mail to get on here
    • your OAuth is broken, too
    Like
  • ...reminder that this is STILL happening.

    Like
  • Still not fixed.

    Like
    • Bogdan I. Hello. I'm sorry for the late response. We're looking into problem and will update you as soon as we have an update. 

      Like
    • Bogdan I. Could you please send us an email, providing information about the domain you're trying to register to support@buypass.com? Have a nice day!

      Like
      • Bogdan I.
      • Bogdan_I
      • 5 mths ago
      • Reported - view

      Daniel It works now.

      Like
  • Impressive.

    It broke again:

     

    2022-04-21 02:02:28,311:DEBUG:urllib3.connectionpool:https://api.buypass.com:443 "POST /acme-v02/new-order HTTP/1.1" 500 89
    2022-04-21 02:02:28,311:DEBUG:acme.client:Received response:
    HTTP 500
    Content-Length: 89
    Content-Type: application/json
    Date: Thu, 21 Apr 2022 00:02:11 GMT
    Mdc-Correlationid: 82dda907-03b3-4270-a1db-4e1d63a681f3
    Vary: Accept-Encoding
    X-Buypass-Internal-Error-Detail-Code: INTERNAL_SERVER_ERROR
    Strict-Transport-Security: max-age=63072000
    
    {"code":500,"message":"INTERNAL_SERVER_ERROR","details":"HTTP 500 Internal Server Error"}
    2022-04-21 02:02:28,311:DEBUG:acme.client:Ignoring wrong Content-Type ('application/json') for JSON Error
    2022-04-21 02:02:28,312:DEBUG:certbot.log:Exiting abnormally:
    Traceback (most recent call last):
      File "/usr/bin/certbot", line 11, in <module>
        load_entry_point('certbot==0.27.0', 'console_scripts', 'certbot')()
      File "/usr/lib/python3/dist-packages/certbot/main.py", line 1364, in main
        return config.func(config, plugins)
      File "/usr/lib/python3/dist-packages/certbot/main.py", line 1124, in run
        certname, lineage)
      File "/usr/lib/python3/dist-packages/certbot/main.py", line 120, in _get_and_save_cert
        lineage = le_client.obtain_and_enroll_certificate(domains, certname)
      File "/usr/lib/python3/dist-packages/certbot/client.py", line 391, in obtain_and_enroll_certificate
        cert, chain, key, _ = self.obtain_certificate(domains)
      File "/usr/lib/python3/dist-packages/certbot/client.py", line 334, in obtain_certificate
        orderr = self._get_order_and_authorizations(csr.data, self.config.allow_subset_of_names)
      File "/usr/lib/python3/dist-packages/certbot/client.py", line 366, in _get_order_and_authorizations
        orderr = self.acme.new_order(csr_pem)
      File "/usr/lib/python3/dist-packages/acme/client.py", line 889, in new_order
        return self.client.new_order(csr_pem)
      File "/usr/lib/python3/dist-packages/acme/client.py", line 672, in new_order
        response = self._post(self.directory['newOrder'], order)
      File "/usr/lib/python3/dist-packages/acme/client.py", line 96, in _post
        return self.net.post(*args, **kwargs)
      File "/usr/lib/python3/dist-packages/acme/client.py", line 1204, in post
        return self._post_once(*args, **kwargs)
      File "/usr/lib/python3/dist-packages/acme/client.py", line 1218, in _post_once
        response = self._check_response(response, content_type=content_type)
      File "/usr/lib/python3/dist-packages/acme/client.py", line 1073, in _check_response
        raise messages.Error.from_json(jobj)
    acme.messages.Error: about:blank
    2022-04-21 02:02:28,316:ERROR:certbot.log:An unexpected error occurred:
    
    Like
    • Bogdan I. Hi. Could you please send us an email to support@buypass.com, with some detailed information about the domain? I will look in to it in the mean time.

      -Daniel

      Like
Like Follow
  • 5 mths agoLast active
  • 15Replies
  • 93Views
  • 6 Following

Buypass Official Community

This is the official community of Buypass.  A Root CA located in Norway.

Sign-up using free email domains have been blocked due to increased spam. https://community.forumbee.com/t/63zsyt/blocked-email-domains